NAV Navigation
Curl Go HTTP Java JavaScript Python

Global Payouts Introduction

Introduction to Global Payouts API

This lightweight REST (JSON) API is intended for sending payments to banks, cash pickup locations and digital wallets internationally.

This fully automated API includes real time* updates for transaction statuses.

This document will lay down the process of creating a payout, getting the status (via callbacks or on demand) and the various APIs and models that should be used in the process

*Real time updates are supported for select destinations and sending methods

Shape Description automaticallygenerated

Callbacks

Signature verification code sample

    var hmac = getHeader('X-Neema-hmac');
    var nonce = getHeader('X-Neema-nonce');
    var date = getHeader('X-Neema-date');
    var secret = <YOU_API_KEY>.getBytes(Charset.forName("UTF-8"));
    var url= <YOU_CALLBACK_FULL_URL>;
    var message = (url+ nonce + date).getBytes(Charset.forName("UTF-8"));
    var hmac = javax.crypto.Mac.getInstance("HmacSHA256");
    var sKey = new SecretKeySpec(secret, "HmacSHA256");
    hmac.init(sKey);
    var computedHmac=Base64.getEncoder().encodeToString(hmac.doFinal(message));
    computedHmac.equals(hmac);

If a callback URL has been provided, transaction updates will be sent to the URL in real-time when changes in transaction status occur.

In addition, transaction status can be queried through one of two means: via the returned id or a provided external_id.

The body schema is StatusResponse.

The request includes an Hmac SHA256 signature and corresponding headers so you can validate the authenticity of the request with the following headers:

The signature is a concatenation of the full url, nonce and date in UTF-8 encoding, signed with you API key using HmacSHA256 and finally encoded as base64.

Neema Global API v1.0

Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.

Neema Global API Documentation

Base URLs:

Email: Support

Authentication

Account Balances

Retrieve Ledger

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/ledger/transactions \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/ledger/transactions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /ledger/transactions HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/ledger/transactions")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/ledger/transactions");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/ledger/transactions", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /ledger/transactions

Provide a full ledger view for the client’s account

Parameters

Name In Type Required Description
from query Instant false Start date and time (ISO-8601 Format) to filter transactions.
page query integer(int32) false Page number (default: 1, min: 1)
size query integer(int32) false Max results per page (default: 100, min: 1, max: 100)
to query Instant false End date and time (ISO-8601 Format) to filter transactions.
transactionType query array[string] false Transaction type(s) to filter by. Supports multiple values using repeated query parameters, e.g. ?transactionType=InternationalPayout&transactionType=PayIn.

Enumerated Values

Parameter Value
transactionType 0 - Payout
transactionType 1 - Load
transactionType 2 - Unload
transactionType 3 - Bounced
transactionType 4 - BalanceTransfer
transactionType 6 - InternationalPayout
transactionType 7 - LoadNettingOut
transactionType 8 - PayIn
transactionType 9 - PayInReversal

Example responses

200 Response

{
"transactions": [
{
"ledgerTransactionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"type": "0 - Payout",
"amount": {
"amount": 0,
"currency": "ZWG"
},
"balance": {
"amount": 0,
"currency": "ZWG"
},
"createdAt": "2022-03-10T16:15:50Z",
"payInId": "string",
"accountExternalId": "string",
"accountNumber": "string",
"senderDetails": {
"name": "John Doe",
"bankAccountDetails": {
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
}
},
"payInTrigger": {
"type": "REGULAR",
"r2p": {
"R2p": "r2p-123456"
}
}
}
],
"metaData": {
"pagination": {
"page": 1,
"perPage": 100,
"totalPages": 5,
"totalItems": 432
}
}
}

Responses

Status Meaning Description Schema
200 OK OK LedgerTransactionPageResponse

Get balances

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/payouts/payer/balance \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/payouts/payer/balance"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /payouts/payer/balance HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/payouts/payer/balance")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/payouts/payer/balance");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/payouts/payer/balance", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /payouts/payer/balance

The ‘Get balances’ API provides a way to retrieve information about the balance available for sending within a given account or currency.

Example responses

200 Response

{
"balances": [
{
"currency": "ILS",
"balance": 1000000
}
]
}

Responses

Status Meaning Description Schema
200 OK Valid result Balances
500 Internal Server Error Customer not found ErrorModel

Available Countries

Get available countries

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/countries \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/countries"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/countries HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/countries")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/countries");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/countries", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/countries

The ‘Get Available Countries’ API allows users to retrieve a list of countries that are currently available for payout transactions.

Example responses

200 Response

{
"countries": [
{
"id": 0,
"name": "string",
"nameIso2": "string",
"nameIso3": "string"
}
]
}

Responses

Status Meaning Description Schema
200 OK OK AvailableCountriesResponse

Global Destinations

Search destinations

Code samples

curl --request GET \
--url 'https://api-payouts.dev.getneema.com/internationalPayout/destinations?country=string' \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/destinations?country=string"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/destinations?country=string HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/destinations?country=string")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/destinations?country=string");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/destinations?country=string", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/destinations

The “Search Destinations” API providers a way to retrieve available destinations and their associated required fields based on specified query parameters and fields required for each destination.

Query Parameters: country : The ISO 3 code representing the specific country for which destinations are queried.

destinationType : Destination type. Destinations can be filtered based on the specified types.

destinationId : The unique identifier associated with a specific destination.

Parameters

Name In Type Required Description
country query string true ISO-3
destinationId query integer(int32) false The unique identifier associated with a specific destination
destinationType query integer(int32) false See DestinationType Properties
paymentType query PaymentType false See PayoutPaymentType Properties

Enumerated Values

Parameter Value
paymentType 0 - B2B
paymentType 1 - B2C
paymentType 2 - C2B
paymentType 3 - C2C

Example responses

200 Response

{
"destinations": [
{
"destinationId": 0,
"country": "USA",
"destinationName": "string",
"destinationType": 1,
"currencies": [
"USD",
"CAD"
],
"receiverRequiredFields": [
{
"name": "receiverInfo.accountNumber",
"description": "Account Number",
"regex": "[A-Za-z0-9]+"
}
],
"senderRequiredFields": [
{
"name": "firstName",
"description": "First name",
"regex": "[A-Za-z0-9]+"
}
]
}
]
}

Responses

Status Meaning Description Schema
200 OK Valid result DestinationsDetailsResponse
400 Bad Request Invalid country ISO PayoutsErrorCodes

Retrieve Push-to-Card Destinations

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/destinations/push_to_card \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/destinations/push_to_card"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/destinations/push_to_card HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/destinations/push_to_card")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/destinations/push_to_card");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/destinations/push_to_card", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/destinations/push_to_card

The ‘Retrieve Push-to-Card Destinations’ API returns a list of available card destinations

Example responses

200 Response

{
"destinations": [
{
"destinationId": 0,
"destinationName": "string",
"paymentType": "B2B",
"currencies": [
"string"
],
"individualSenderRequiredFields": [
{
"name": "firstName",
"description": "First name",
"regex": "[A-Za-z0-9]+"
}
],
"individualReceiverRequiredFields": [
{
"name": "receiverInfo.accountNumber",
"description": "Account Number",
"regex": "[A-Za-z0-9]+"
}
],
"BusinessSenderRequiredFields": [
{
"name": "firstName",
"description": "First name",
"regex": "[A-Za-z0-9]+"
}
]
}
]
}

Responses

Status Meaning Description Schema
200 OK OK PushToCardDestinationsResponse

Get destinations by country

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/destinations/USA \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/destinations/USA"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/destinations/USA HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/destinations/USA")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/destinations/USA");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/destinations/USA", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/destinations/{countryISO3}

The ‘Get Destinations by Country’ API provides a way to retrieve a list of available destinations specifically by country.

Parameters

Name In Type Required Description
countryISO3 path string true Country ISO-3 code

Example responses

200 Response

{
"country": "USA",
"destinations": [
{
"destinationId": 0,
"destinationName": "string",
"destinationType": 2,
"currencies": [
"USD",
"CAD"
]
}
]
}

Responses

Status Meaning Description Schema
200 OK OK DestinationsResponse

Global PUSH TO CARD - card info

Retrieve Card Information for Push-to-Card Transaction

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/push_to_card/card/string \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/push_to_card/card/string"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/push_to_card/card/string HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/push_to_card/card/string")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/push_to_card/card/string");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/push_to_card/card/string", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/push_to_card/card/{cardNumber}

The ‘Retrieve Card Information for Push-to-Card Transaction’ API allows you to fetch detailed information about a specific card used in a push-to-card payment.

Parameters

Name In Type Required Description
cardNumber path string true none

Example responses

200 Response

{
"isCrossBoarder": true,
"isFasterPayment": true,
"paysystem": "VISA",
"cardCountry": "string"
}

Responses

Status Meaning Description Schema
200 OK OK P2cCardInfoResponse

Global Payouts

Create payout

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/internationalPayout/transactions \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"externalId":"string","callbackUrl":"string","reason":"FAMILY_SUPPORT","paymentType":"C2C","amount":123.45,"currency":"USD","senderInfo":{"passport":"string","firstName":"string","lastName":"string","countryIso":"USA","originCountryIso":"USA","birthday":"string","city":"string","phoneNumber":"string","address":"string","identificationDocType":0,"identificationDocValue":"string","additionalInfo":{"ifscCode":"string","branchName":"string","swiftBicCode":"string","bikCode":"string","idNumber":"string","accountId":"string","iban":"string","sortCode":"string","address":"string","routingCode":"string","clabe":"string","cbu":"string","street":"string","city":"string","provinceState":"string","postalCode":"string","houseNumber":"string","idExpirationDate":"string","idType":"string","branchNumber":"string","bsbNumber":"string","vpa":"string","cpfNumber":"string","email":"string"}},"receiverInfo":{"firstName":"John","middleName":"string","lastName":"Doe","countryIso":"USA","phoneNumber":"+10123456789","destinationId":29185,"accountNumber":"string","birthday":"string","additionalInfo":{"ifscCode":"string","branchName":"string","swiftBicCode":"string","bikCode":"string","idNumber":"string","accountId":"string","iban":"string","sortCode":"string","address":"string","routingCode":"string","clabe":"string","cbu":"string","street":"string","city":"string","provinceState":"string","postalCode":"string","houseNumber":"string","idExpirationDate":"string","idType":"string","branchNumber":"string","bsbNumber":"string","vpa":"string","cpfNumber":"string","email":"string"}},"sendingBusiness":{"address":"string","city":"string","contactNumber":"string","countryIsoCode":"USA","registrationNumber":"string","registeredName":"string","registrationType":"string","fundSource":"Salary","companyIncorporationIssuedDate":"2022-03-10T16:15:50Z","companyIncorporationExpiryDate":"2022-03-10T16:15:50Z","postalCode":"string","email":"string","primaryContactCountryIso3":"string"},"receivingBusiness":{"address":"string","city":"string","registeredName":"string","countryIsoCode":"USA","bankAccountNumber":"string","iban":"string","destinationId":0,"branchNumber":"string","routingCode":"string","provinceState":"string","postalCode":"string","bsbNumber":"string","sortCode":"string"},"b2bPayoutReason":"COMPUTER_SERVICES","documentReferenceNumber":"string","neemaPayerChargeAmount":0}'
package main

import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/transactions"

payload := strings.NewReader("{\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"paymentType\":\"C2C\",\"amount\":123.45,\"currency\":\"USD\",\"senderInfo\":{\"passport\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"countryIso\":\"USA\",\"originCountryIso\":\"USA\",\"birthday\":\"string\",\"city\":\"string\",\"phoneNumber\":\"string\",\"address\":\"string\",\"identificationDocType\":0,\"identificationDocValue\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"receiverInfo\":{\"firstName\":\"John\",\"middleName\":\"string\",\"lastName\":\"Doe\",\"countryIso\":\"USA\",\"phoneNumber\":\"+10123456789\",\"destinationId\":29185,\"accountNumber\":\"string\",\"birthday\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"contactNumber\":\"string\",\"countryIsoCode\":\"USA\",\"registrationNumber\":\"string\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"fundSource\":\"Salary\",\"companyIncorporationIssuedDate\":\"2022-03-10T16:15:50Z\",\"companyIncorporationExpiryDate\":\"2022-03-10T16:15:50Z\",\"postalCode\":\"string\",\"email\":\"string\",\"primaryContactCountryIso3\":\"string\"},\"receivingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"registeredName\":\"string\",\"countryIsoCode\":\"USA\",\"bankAccountNumber\":\"string\",\"iban\":\"string\",\"destinationId\":0,\"branchNumber\":\"string\",\"routingCode\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"bsbNumber\":\"string\",\"sortCode\":\"string\"},\"b2bPayoutReason\":\"COMPUTER_SERVICES\",\"documentReferenceNumber\":\"string\",\"neemaPayerChargeAmount\":0}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /internationalPayout/transactions HTTP/1.1
Content-Type: application/json
Accept: application/json
Host: api-payouts.dev.getneema.com
Content-Length: 2380

{"externalId":"string","callbackUrl":"string","reason":"FAMILY_SUPPORT","paymentType":"C2C","amount":123.45,"currency":"USD","senderInfo":{"passport":"string","firstName":"string","lastName":"string","countryIso":"USA","originCountryIso":"USA","birthday":"string","city":"string","phoneNumber":"string","address":"string","identificationDocType":0,"identificationDocValue":"string","additionalInfo":{"ifscCode":"string","branchName":"string","swiftBicCode":"string","bikCode":"string","idNumber":"string","accountId":"string","iban":"string","sortCode":"string","address":"string","routingCode":"string","clabe":"string","cbu":"string","street":"string","city":"string","provinceState":"string","postalCode":"string","houseNumber":"string","idExpirationDate":"string","idType":"string","branchNumber":"string","bsbNumber":"string","vpa":"string","cpfNumber":"string","email":"string"}},"receiverInfo":{"firstName":"John","middleName":"string","lastName":"Doe","countryIso":"USA","phoneNumber":"+10123456789","destinationId":29185,"accountNumber":"string","birthday":"string","additionalInfo":{"ifscCode":"string","branchName":"string","swiftBicCode":"string","bikCode":"string","idNumber":"string","accountId":"string","iban":"string","sortCode":"string","address":"string","routingCode":"string","clabe":"string","cbu":"string","street":"string","city":"string","provinceState":"string","postalCode":"string","houseNumber":"string","idExpirationDate":"string","idType":"string","branchNumber":"string","bsbNumber":"string","vpa":"string","cpfNumber":"string","email":"string"}},"sendingBusiness":{"address":"string","city":"string","contactNumber":"string","countryIsoCode":"USA","registrationNumber":"string","registeredName":"string","registrationType":"string","fundSource":"Salary","companyIncorporationIssuedDate":"2022-03-10T16:15:50Z","companyIncorporationExpiryDate":"2022-03-10T16:15:50Z","postalCode":"string","email":"string","primaryContactCountryIso3":"string"},"receivingBusiness":{"address":"string","city":"string","registeredName":"string","countryIsoCode":"USA","bankAccountNumber":"string","iban":"string","destinationId":0,"branchNumber":"string","routingCode":"string","provinceState":"string","postalCode":"string","bsbNumber":"string","sortCode":"string"},"b2bPayoutReason":"COMPUTER_SERVICES","documentReferenceNumber":"string","neemaPayerChargeAmount":0}
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"paymentType\":\"C2C\",\"amount\":123.45,\"currency\":\"USD\",\"senderInfo\":{\"passport\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"countryIso\":\"USA\",\"originCountryIso\":\"USA\",\"birthday\":\"string\",\"city\":\"string\",\"phoneNumber\":\"string\",\"address\":\"string\",\"identificationDocType\":0,\"identificationDocValue\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"receiverInfo\":{\"firstName\":\"John\",\"middleName\":\"string\",\"lastName\":\"Doe\",\"countryIso\":\"USA\",\"phoneNumber\":\"+10123456789\",\"destinationId\":29185,\"accountNumber\":\"string\",\"birthday\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"contactNumber\":\"string\",\"countryIsoCode\":\"USA\",\"registrationNumber\":\"string\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"fundSource\":\"Salary\",\"companyIncorporationIssuedDate\":\"2022-03-10T16:15:50Z\",\"companyIncorporationExpiryDate\":\"2022-03-10T16:15:50Z\",\"postalCode\":\"string\",\"email\":\"string\",\"primaryContactCountryIso3\":\"string\"},\"receivingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"registeredName\":\"string\",\"countryIsoCode\":\"USA\",\"bankAccountNumber\":\"string\",\"iban\":\"string\",\"destinationId\":0,\"branchNumber\":\"string\",\"routingCode\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"bsbNumber\":\"string\",\"sortCode\":\"string\"},\"b2bPayoutReason\":\"COMPUTER_SERVICES\",\"documentReferenceNumber\":\"string\",\"neemaPayerChargeAmount\":0}");
Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/transactions")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = JSON.stringify({
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"paymentType": "C2C",
"amount": 123.45,
"currency": "USD",
"senderInfo": {
"passport": "string",
"firstName": "string",
"lastName": "string",
"countryIso": "USA",
"originCountryIso": "USA",
"birthday": "string",
"city": "string",
"phoneNumber": "string",
"address": "string",
"identificationDocType": 0,
"identificationDocValue": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"receiverInfo": {
"firstName": "John",
"middleName": "string",
"lastName": "Doe",
"countryIso": "USA",
"phoneNumber": "+10123456789",
"destinationId": 29185,
"accountNumber": "string",
"birthday": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"sendingBusiness": {
"address": "string",
"city": "string",
"contactNumber": "string",
"countryIsoCode": "USA",
"registrationNumber": "string",
"registeredName": "string",
"registrationType": "string",
"fundSource": "Salary",
"companyIncorporationIssuedDate": "2022-03-10T16:15:50Z",
"companyIncorporationExpiryDate": "2022-03-10T16:15:50Z",
"postalCode": "string",
"email": "string",
"primaryContactCountryIso3": "string"
},
"receivingBusiness": {
"address": "string",
"city": "string",
"registeredName": "string",
"countryIsoCode": "USA",
"bankAccountNumber": "string",
"iban": "string",
"destinationId": 0,
"branchNumber": "string",
"routingCode": "string",
"provinceState": "string",
"postalCode": "string",
"bsbNumber": "string",
"sortCode": "string"
},
"b2bPayoutReason": "COMPUTER_SERVICES",
"documentReferenceNumber": "string",
"neemaPayerChargeAmount": 0
});

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/internationalPayout/transactions");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

payload = "{\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"paymentType\":\"C2C\",\"amount\":123.45,\"currency\":\"USD\",\"senderInfo\":{\"passport\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"countryIso\":\"USA\",\"originCountryIso\":\"USA\",\"birthday\":\"string\",\"city\":\"string\",\"phoneNumber\":\"string\",\"address\":\"string\",\"identificationDocType\":0,\"identificationDocValue\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"receiverInfo\":{\"firstName\":\"John\",\"middleName\":\"string\",\"lastName\":\"Doe\",\"countryIso\":\"USA\",\"phoneNumber\":\"+10123456789\",\"destinationId\":29185,\"accountNumber\":\"string\",\"birthday\":\"string\",\"additionalInfo\":{\"ifscCode\":\"string\",\"branchName\":\"string\",\"swiftBicCode\":\"string\",\"bikCode\":\"string\",\"idNumber\":\"string\",\"accountId\":\"string\",\"iban\":\"string\",\"sortCode\":\"string\",\"address\":\"string\",\"routingCode\":\"string\",\"clabe\":\"string\",\"cbu\":\"string\",\"street\":\"string\",\"city\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"houseNumber\":\"string\",\"idExpirationDate\":\"string\",\"idType\":\"string\",\"branchNumber\":\"string\",\"bsbNumber\":\"string\",\"vpa\":\"string\",\"cpfNumber\":\"string\",\"email\":\"string\"}},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"contactNumber\":\"string\",\"countryIsoCode\":\"USA\",\"registrationNumber\":\"string\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"fundSource\":\"Salary\",\"companyIncorporationIssuedDate\":\"2022-03-10T16:15:50Z\",\"companyIncorporationExpiryDate\":\"2022-03-10T16:15:50Z\",\"postalCode\":\"string\",\"email\":\"string\",\"primaryContactCountryIso3\":\"string\"},\"receivingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"registeredName\":\"string\",\"countryIsoCode\":\"USA\",\"bankAccountNumber\":\"string\",\"iban\":\"string\",\"destinationId\":0,\"branchNumber\":\"string\",\"routingCode\":\"string\",\"provinceState\":\"string\",\"postalCode\":\"string\",\"bsbNumber\":\"string\",\"sortCode\":\"string\"},\"b2bPayoutReason\":\"COMPUTER_SERVICES\",\"documentReferenceNumber\":\"string\",\"neemaPayerChargeAmount\":0}"

headers = {
'Content-Type': "application/json",
'Accept': "application/json"
}

conn.request("POST", "/internationalPayout/transactions", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /internationalPayout/transactions

The ‘Create Payout’ API provides the initiation of an international payout transaction.

Body parameter

{
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"paymentType": "C2C",
"amount": 123.45,
"currency": "USD",
"senderInfo": {
"passport": "string",
"firstName": "string",
"lastName": "string",
"countryIso": "USA",
"originCountryIso": "USA",
"birthday": "string",
"city": "string",
"phoneNumber": "string",
"address": "string",
"identificationDocType": 0,
"identificationDocValue": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"receiverInfo": {
"firstName": "John",
"middleName": "string",
"lastName": "Doe",
"countryIso": "USA",
"phoneNumber": "+10123456789",
"destinationId": 29185,
"accountNumber": "string",
"birthday": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"sendingBusiness": {
"address": "string",
"city": "string",
"contactNumber": "string",
"countryIsoCode": "USA",
"registrationNumber": "string",
"registeredName": "string",
"registrationType": "string",
"fundSource": "Salary",
"companyIncorporationIssuedDate": "2022-03-10T16:15:50Z",
"companyIncorporationExpiryDate": "2022-03-10T16:15:50Z",
"postalCode": "string",
"email": "string",
"primaryContactCountryIso3": "string"
},
"receivingBusiness": {
"address": "string",
"city": "string",
"registeredName": "string",
"countryIsoCode": "USA",
"bankAccountNumber": "string",
"iban": "string",
"destinationId": 0,
"branchNumber": "string",
"routingCode": "string",
"provinceState": "string",
"postalCode": "string",
"bsbNumber": "string",
"sortCode": "string"
},
"b2bPayoutReason": "COMPUTER_SERVICES",
"documentReferenceNumber": "string",
"neemaPayerChargeAmount": 0
}

Parameters

Name In Type Required Description
body body InternationalPayoutRequest true none

Example responses

200 Response

{
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"paymentType": "C2C",
"amount": 123.45,
"currency": "USD",
"senderInfo": {
"passport": "string",
"firstName": "string",
"lastName": "string",
"countryIso": "USA",
"originCountryIso": "USA",
"birthday": "string",
"city": "string",
"phoneNumber": "string",
"address": "string",
"identificationDocType": 0,
"identificationDocValue": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"receiverInfo": {
"firstName": "John",
"middleName": "string",
"lastName": "Doe",
"countryIso": "USA",
"phoneNumber": "+10123456789",
"destinationId": 29185,
"accountNumber": "string",
"birthday": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"sendingBusiness": {
"address": "string",
"city": "string",
"contactNumber": "string",
"countryIsoCode": "USA",
"registrationNumber": "string",
"registeredName": "string",
"registrationType": "string",
"fundSource": "Salary",
"companyIncorporationIssuedDate": "2022-03-10T16:15:50Z",
"companyIncorporationExpiryDate": "2022-03-10T16:15:50Z",
"postalCode": "string",
"email": "string",
"primaryContactCountryIso3": "string"
},
"receivingBusiness": {
"address": "string",
"city": "string",
"registeredName": "string",
"countryIsoCode": "USA",
"bankAccountNumber": "string",
"iban": "string",
"destinationId": 0,
"branchNumber": "string",
"routingCode": "string",
"provinceState": "string",
"postalCode": "string",
"bsbNumber": "string",
"sortCode": "string"
},
"b2bPayoutReason": "COMPUTER_SERVICES",
"documentReferenceNumber": "string",
"neemaPayerChargeAmount": 0,
"accountFee": 3,
"accountFeeCurrency": "USD",
"accountAmount": 3500.1,
"accountAmountCurrency": "USD",
"status": 10,
"statusDescription": "1 - Pending",
"extraCode": "Neema87654",
"deliveredAmount": 3500.1,
"deliveredCurrency": "USD",
"errorDescription": {
"code": 0,
"message": "4 - General error occurred. Contact Neema Customer Support for more details"
}
}

Responses

Status Meaning Description Schema
200 OK OK InternationalPayoutResponse
400 Bad Request Bad Request None

Search payouts

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/transactions \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/transactions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/transactions HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/transactions")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/transactions");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/transactions", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/transactions

The ‘Search Payouts’ API providers a way to retrieve a list of transactions based on specified parameters. Results can be filtered by External ID (extId), transaction status (status), date range (from and to), and set the maximum number of results with the limit parameter.

Pagination is available using the optional page parameter.

Parameters

Name In Type Required Description
extId query string false External ID associated with the transactions
from query string false Start date and time (ISO-8601 Format) to filter transactions
limit query integer(int32) false Maximum number of transactions per page to retrieve is 100, default is 10 transaction per page.
page query integer(int32) false Page number for the selected query. Be cautious of page drifting if from/to is not set or if ‘to’ is in the future. Default value is 0
status query integer(int32) false Transaction status. See PayoutStatusEnum Properties
to query string false End date and time (ISO-8601 Format) to filter transactions

Example responses

200 Response

{
"transactions": [
{
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"paymentType": "C2C",
"amount": 123.45,
"currency": "USD",
"senderInfo": {
"passport": "string",
"firstName": "string",
"lastName": "string",
"countryIso": "USA",
"originCountryIso": "USA",
"birthday": "string",
"city": "string",
"phoneNumber": "string",
"address": "string",
"identificationDocType": 0,
"identificationDocValue": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"receiverInfo": {
"firstName": "John",
"middleName": "string",
"lastName": "Doe",
"countryIso": "USA",
"phoneNumber": "+10123456789",
"destinationId": 29185,
"accountNumber": "string",
"birthday": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"sendingBusiness": {
"address": "string",
"city": "string",
"contactNumber": "string",
"countryIsoCode": "USA",
"registrationNumber": "string",
"registeredName": "string",
"registrationType": "string",
"fundSource": "Salary",
"companyIncorporationIssuedDate": "2022-03-10T16:15:50Z",
"companyIncorporationExpiryDate": "2022-03-10T16:15:50Z",
"postalCode": "string",
"email": "string",
"primaryContactCountryIso3": "string"
},
"receivingBusiness": {
"address": "string",
"city": "string",
"registeredName": "string",
"countryIsoCode": "USA",
"bankAccountNumber": "string",
"iban": "string",
"destinationId": 0,
"branchNumber": "string",
"routingCode": "string",
"provinceState": "string",
"postalCode": "string",
"bsbNumber": "string",
"sortCode": "string"
},
"b2bPayoutReason": "COMPUTER_SERVICES",
"documentReferenceNumber": "string",
"neemaPayerChargeAmount": 0,
"accountFee": 3,
"accountFeeCurrency": "USD",
"accountAmount": 3500.1,
"accountAmountCurrency": "USD",
"status": 10,
"statusDescription": "1 - Pending",
"extraCode": "Neema87654",
"deliveredAmount": 3500.1,
"deliveredCurrency": "USD",
"errorDescription": {
"code": 0,
"message": "4 - General error occurred. Contact Neema Customer Support for more details"
}
}
]
}

Responses

Status Meaning Description Schema
200 OK OK InternationalPayoutResponses

Create push to card transaction

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/internationalPayout/transactions/push_to_card \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"paymentType":"C2C","externalId":"string","callbackUrl":"string","reason":"FAMILY_SUPPORT","receiver":{"firstName":"string","middleName":"string","lastName":"string","countryIso3":"UAH","birthday":"string","cardNumber":"string","destinationId":0},"sendingBusiness":{"address":"string","city":"string","countryIso3":"USA","registeredName":"string","registrationType":"string","postalCode":"string"},"sender":{"firstName":"string","lastName":"string","birthday":"string","countryIso3":"USA","originCountryIso3":"USA","city":"string","address":"string","postalCode":"string","passport":"string"},"currency":"USD","amount":0}'
package main

import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/transactions/push_to_card"

payload := strings.NewReader("{\"paymentType\":\"C2C\",\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"receiver\":{\"firstName\":\"string\",\"middleName\":\"string\",\"lastName\":\"string\",\"countryIso3\":\"UAH\",\"birthday\":\"string\",\"cardNumber\":\"string\",\"destinationId\":0},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"countryIso3\":\"USA\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"postalCode\":\"string\"},\"sender\":{\"firstName\":\"string\",\"lastName\":\"string\",\"birthday\":\"string\",\"countryIso3\":\"USA\",\"originCountryIso3\":\"USA\",\"city\":\"string\",\"address\":\"string\",\"postalCode\":\"string\",\"passport\":\"string\"},\"currency\":\"USD\",\"amount\":0}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /internationalPayout/transactions/push_to_card HTTP/1.1
Content-Type: application/json
Accept: application/json
Host: api-payouts.dev.getneema.com
Content-Length: 622

{"paymentType":"C2C","externalId":"string","callbackUrl":"string","reason":"FAMILY_SUPPORT","receiver":{"firstName":"string","middleName":"string","lastName":"string","countryIso3":"UAH","birthday":"string","cardNumber":"string","destinationId":0},"sendingBusiness":{"address":"string","city":"string","countryIso3":"USA","registeredName":"string","registrationType":"string","postalCode":"string"},"sender":{"firstName":"string","lastName":"string","birthday":"string","countryIso3":"USA","originCountryIso3":"USA","city":"string","address":"string","postalCode":"string","passport":"string"},"currency":"USD","amount":0}
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"paymentType\":\"C2C\",\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"receiver\":{\"firstName\":\"string\",\"middleName\":\"string\",\"lastName\":\"string\",\"countryIso3\":\"UAH\",\"birthday\":\"string\",\"cardNumber\":\"string\",\"destinationId\":0},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"countryIso3\":\"USA\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"postalCode\":\"string\"},\"sender\":{\"firstName\":\"string\",\"lastName\":\"string\",\"birthday\":\"string\",\"countryIso3\":\"USA\",\"originCountryIso3\":\"USA\",\"city\":\"string\",\"address\":\"string\",\"postalCode\":\"string\",\"passport\":\"string\"},\"currency\":\"USD\",\"amount\":0}");
Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/transactions/push_to_card")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = JSON.stringify({
"paymentType": "C2C",
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"receiver": {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"countryIso3": "UAH",
"birthday": "string",
"cardNumber": "string",
"destinationId": 0
},
"sendingBusiness": {
"address": "string",
"city": "string",
"countryIso3": "USA",
"registeredName": "string",
"registrationType": "string",
"postalCode": "string"
},
"sender": {
"firstName": "string",
"lastName": "string",
"birthday": "string",
"countryIso3": "USA",
"originCountryIso3": "USA",
"city": "string",
"address": "string",
"postalCode": "string",
"passport": "string"
},
"currency": "USD",
"amount": 0
});

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/internationalPayout/transactions/push_to_card");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

payload = "{\"paymentType\":\"C2C\",\"externalId\":\"string\",\"callbackUrl\":\"string\",\"reason\":\"FAMILY_SUPPORT\",\"receiver\":{\"firstName\":\"string\",\"middleName\":\"string\",\"lastName\":\"string\",\"countryIso3\":\"UAH\",\"birthday\":\"string\",\"cardNumber\":\"string\",\"destinationId\":0},\"sendingBusiness\":{\"address\":\"string\",\"city\":\"string\",\"countryIso3\":\"USA\",\"registeredName\":\"string\",\"registrationType\":\"string\",\"postalCode\":\"string\"},\"sender\":{\"firstName\":\"string\",\"lastName\":\"string\",\"birthday\":\"string\",\"countryIso3\":\"USA\",\"originCountryIso3\":\"USA\",\"city\":\"string\",\"address\":\"string\",\"postalCode\":\"string\",\"passport\":\"string\"},\"currency\":\"USD\",\"amount\":0}"

headers = {
'Content-Type': "application/json",
'Accept': "application/json"
}

conn.request("POST", "/internationalPayout/transactions/push_to_card", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /internationalPayout/transactions/push_to_card

The ‘Create push to card transaction’ API provides the initiation of an international push to card transaction.

Body parameter

{
"paymentType": "C2C",
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"receiver": {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"countryIso3": "UAH",
"birthday": "string",
"cardNumber": "string",
"destinationId": 0
},
"sendingBusiness": {
"address": "string",
"city": "string",
"countryIso3": "USA",
"registeredName": "string",
"registrationType": "string",
"postalCode": "string"
},
"sender": {
"firstName": "string",
"lastName": "string",
"birthday": "string",
"countryIso3": "USA",
"originCountryIso3": "USA",
"city": "string",
"address": "string",
"postalCode": "string",
"passport": "string"
},
"currency": "USD",
"amount": 0
}

Parameters

Name In Type Required Description
body body InternationalPayoutPushToCardRequest true none

Example responses

200 Response

{
"payoutId": "string",
"paymentType": "C2C",
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"receiver": {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"countryIso3": "string",
"birthday": "string",
"cardNumber": "string"
},
"sendingBusiness": {
"address": "string",
"city": "string",
"countryIso3": "string",
"registeredName": "string",
"registrationType": "string",
"postalCode": "string"
},
"sender": {
"firstName": "string",
"lastName": "string",
"birthday": "string",
"countryIso3": "string",
"originCountryIso3": "string",
"city": "string",
"address": "string",
"postalCode": "string",
"passport": "string"
},
"currency": "string",
"amount": 0,
"accountFee": 0,
"accountFeeCurrency": "string",
"accountAmount": 0,
"accountAmountCurrency": "string",
"status": 0,
"statusDescription": "string",
"deliveredAmount": 0,
"deliveredCurrency": "string",
"errorDescription": {
"code": 0,
"message": "4 - General error occurred. Contact Neema Customer Support for more details"
}
}

Responses

Status Meaning Description Schema
200 OK OK InternationalPayoutPushToCardResponse
400 Bad Request Bad Request None

Get payout by ID

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/internationalPayout/transactions/string \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/transactions/string"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/transactions/string HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/transactions/string")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/transactions/string");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/transactions/string", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/transactions/{payoutId}

The ‘Get Payout by ID’ API providers a way to retrieve details about a specific payout transaction based on its unique identifier.

Parameters

Name In Type Required Description
payoutId path string true Payout ID

Example responses

200 Response

{
"externalId": "string",
"callbackUrl": "string",
"reason": "FAMILY_SUPPORT",
"paymentType": "C2C",
"amount": 123.45,
"currency": "USD",
"senderInfo": {
"passport": "string",
"firstName": "string",
"lastName": "string",
"countryIso": "USA",
"originCountryIso": "USA",
"birthday": "string",
"city": "string",
"phoneNumber": "string",
"address": "string",
"identificationDocType": 0,
"identificationDocValue": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"receiverInfo": {
"firstName": "John",
"middleName": "string",
"lastName": "Doe",
"countryIso": "USA",
"phoneNumber": "+10123456789",
"destinationId": 29185,
"accountNumber": "string",
"birthday": "string",
"additionalInfo": {
"ifscCode": "string",
"branchName": "string",
"swiftBicCode": "string",
"bikCode": "string",
"idNumber": "string",
"accountId": "string",
"iban": "string",
"sortCode": "string",
"address": "string",
"routingCode": "string",
"clabe": "string",
"cbu": "string",
"street": "string",
"city": "string",
"provinceState": "string",
"postalCode": "string",
"houseNumber": "string",
"idExpirationDate": "string",
"idType": "string",
"branchNumber": "string",
"bsbNumber": "string",
"vpa": "string",
"cpfNumber": "string",
"email": "string"
}
},
"sendingBusiness": {
"address": "string",
"city": "string",
"contactNumber": "string",
"countryIsoCode": "USA",
"registrationNumber": "string",
"registeredName": "string",
"registrationType": "string",
"fundSource": "Salary",
"companyIncorporationIssuedDate": "2022-03-10T16:15:50Z",
"companyIncorporationExpiryDate": "2022-03-10T16:15:50Z",
"postalCode": "string",
"email": "string",
"primaryContactCountryIso3": "string"
},
"receivingBusiness": {
"address": "string",
"city": "string",
"registeredName": "string",
"countryIsoCode": "USA",
"bankAccountNumber": "string",
"iban": "string",
"destinationId": 0,
"branchNumber": "string",
"routingCode": "string",
"provinceState": "string",
"postalCode": "string",
"bsbNumber": "string",
"sortCode": "string"
},
"b2bPayoutReason": "COMPUTER_SERVICES",
"documentReferenceNumber": "string",
"neemaPayerChargeAmount": 0,
"accountFee": 3,
"accountFeeCurrency": "USD",
"accountAmount": 3500.1,
"accountAmountCurrency": "USD",
"status": 10,
"statusDescription": "1 - Pending",
"extraCode": "Neema87654",
"deliveredAmount": 3500.1,
"deliveredCurrency": "USD",
"errorDescription": {
"code": 0,
"message": "4 - General error occurred. Contact Neema Customer Support for more details"
}
}

Responses

Status Meaning Description Schema
200 OK Valid result InternationalPayoutResponse
404 Not Found Payout not found ErrorModel

Global Rates

Get corridor rates

Code samples

curl --request GET \
--url 'https://api-payouts.dev.getneema.com/internationalPayout/rates?country=USA&currency=USD' \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/rates?country=USA&currency=USD"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/rates?country=USA&currency=USD HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/rates?country=USA&currency=USD")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/rates?country=USA&currency=USD");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/rates?country=USA&currency=USD", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/rates

The ‘Get corridor rates’ API providers a way to retrieve the currency exchange rates for each available destination within a specified country and currency.

Parameters

Name In Type Required Description
country query string true Country ISO-3
currency query string true Currency ISO-3
paymentType query PaymentType false See PayoutPaymentType Object
serviceType query integer(int32) false See RemittanceServiceTypes Object

Enumerated Values

Parameter Value
paymentType 0 - B2B
paymentType 1 - B2C
paymentType 2 - C2B
paymentType 3 - C2C

Example responses

200 Response

{
"countryIso": "USA",
"currencyIso": "USD",
"rates": [
{
"destinationId": 0,
"destinationName": "string",
"rate": 0.1,
"paymentType": "C2C"
}
]
}

Payload validation errors

"currency is missing"
"country is missing"

Responses

Status Meaning Description Schema
200 OK Valid result RateResponse
400 Bad Request Payload validation errors ErrorModel

Retrieve Push-to-Card Rates

Code samples

curl --request GET \
--url 'https://api-payouts.dev.getneema.com/internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD' \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/internationalPayout/rates/push_to_card?cardPaySystem=VISA&currency=USD", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /internationalPayout/rates/push_to_card

The ‘Retrieve Push-to-Card Rates’ API returns the currency exchange rates for all available push-to-card destinations within a specified country and currency.

Parameters

Name In Type Required Description
cardPaySystem query CardPaySystemEnum true See CardPaySystemEnum Properties
currency query string true Currency ISO-3
paymentType query PaymentType false See PayoutPaymentType Object

Enumerated Values

Parameter Value
cardPaySystem VISA
cardPaySystem MASTERCARD
cardPaySystem ELCART
cardPaySystem KORTIMILLI
cardPaySystem HUMO
cardPaySystem UZCARD
cardPaySystem UNIONPAY
paymentType 0 - B2B
paymentType 1 - B2C
paymentType 2 - C2B
paymentType 3 - C2C

Example responses

200 Response

{
"rates": [
{
"paysystem": "VISA",
"currencyIso": "string",
"rate": 0,
"paymentType": "C2C"
}
]
}

Responses

Status Meaning Description Schema
200 OK OK PushToCardRatesResponse

PayIns

Payins Introduction

Neema Payins enables Financial Institutions to effortlessly launch and scale local account, payment, and distribution services within the Israeli market. Through our API, you can instantly open accounts for your end-users, allowing them to collect funds locally in Israel as if they had a domestic bank account.

PayIn received webhook

Notify customers whenever a PayIn is received and successfully processed for one of their end users.

When a PayIn transaction completes successfully, our system will automatically send a payin.received webhook event to the customer’s configured callback URL. This event helps customers update balances, notify their own end users, and reconcile incoming funds in real time. To test this webhook in a development environment, please contact your designated Technical Solution Engineer. They can trigger a mock PayIn transaction on your behalf to simulate the end-to-end flow and verify that your webhook handler works correctly.

PayInCallback

Retrieve Accounts

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/accounts \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/accounts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /accounts HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/accounts")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/accounts");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/accounts", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /accounts

Retrieve existing accounts.

Parameters

Name In Type Required Description
accountExternalId query string false External account ID filter
accountState query AccountStateEnum false Internal assigned account ID
from query Instant false Filter from date
page query integer(int32) false Page number (default: 0)
size query integer(int32) false Page size (default: 10)
to query Instant false Filter to date

Enumerated Values

Parameter Value
accountState PENDING
accountState ACTIVE
accountState BLOCKED

Example responses

200 Response

{
"accounts": [
{
"accountExternalId": "string",
"accountType": "INDIVIDUAL",
"accountCountryIso3": "ABW",
"accountState": "PENDING",
"bankAccountDetails": {
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
},
"createdAt": "2022-03-10T16:15:50Z",
"errorResponse": {
"code": 0,
"message": "string",
"payInPayerResponseErrorEnum": "INTERNAL_SERVER_ERROR"
}
}
]
}

Responses

Status Meaning Description Schema
200 OK OK AccountsResponse

Create Account

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/accounts \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"accountType":"INDIVIDUAL","accountCountry":"ABW","accountExternalId":"string","firstName":"string","lastName":"string","nationality":"string","livingCountry":"string","gender":"MALE","address":"string","dateOfBirth":"2022-03-10","idNumber":"string","email":"string","mobilePhone":"string"}'
package main

import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/accounts"

payload := strings.NewReader("{\"accountType\":\"INDIVIDUAL\",\"accountCountry\":\"ABW\",\"accountExternalId\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"nationality\":\"string\",\"livingCountry\":\"string\",\"gender\":\"MALE\",\"address\":\"string\",\"dateOfBirth\":\"2022-03-10\",\"idNumber\":\"string\",\"email\":\"string\",\"mobilePhone\":\"string\"}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /accounts HTTP/1.1
Content-Type: application/json
Accept: application/json
Host: api-payouts.dev.getneema.com
Content-Length: 291

{"accountType":"INDIVIDUAL","accountCountry":"ABW","accountExternalId":"string","firstName":"string","lastName":"string","nationality":"string","livingCountry":"string","gender":"MALE","address":"string","dateOfBirth":"2022-03-10","idNumber":"string","email":"string","mobilePhone":"string"}
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"accountType\":\"INDIVIDUAL\",\"accountCountry\":\"ABW\",\"accountExternalId\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"nationality\":\"string\",\"livingCountry\":\"string\",\"gender\":\"MALE\",\"address\":\"string\",\"dateOfBirth\":\"2022-03-10\",\"idNumber\":\"string\",\"email\":\"string\",\"mobilePhone\":\"string\"}");
Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/accounts")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = JSON.stringify({
"accountType": "INDIVIDUAL",
"accountCountry": "ABW",
"accountExternalId": "string",
"firstName": "string",
"lastName": "string",
"nationality": "string",
"livingCountry": "string",
"gender": "MALE",
"address": "string",
"dateOfBirth": "2022-03-10",
"idNumber": "string",
"email": "string",
"mobilePhone": "string"
});

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/accounts");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

payload = "{\"accountType\":\"INDIVIDUAL\",\"accountCountry\":\"ABW\",\"accountExternalId\":\"string\",\"firstName\":\"string\",\"lastName\":\"string\",\"nationality\":\"string\",\"livingCountry\":\"string\",\"gender\":\"MALE\",\"address\":\"string\",\"dateOfBirth\":\"2022-03-10\",\"idNumber\":\"string\",\"email\":\"string\",\"mobilePhone\":\"string\"}"

headers = {
'Content-Type': "application/json",
'Accept': "application/json"
}

conn.request("POST", "/accounts", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /accounts

Create accounts for end users (individuals or businesses) to receive payins.

Body parameter

{
"accountType": "INDIVIDUAL",
"accountCountry": "ABW",
"accountExternalId": "string",
"firstName": "string",
"lastName": "string",
"nationality": "string",
"livingCountry": "string",
"gender": "MALE",
"address": "string",
"dateOfBirth": "2022-03-10",
"idNumber": "string",
"email": "string",
"mobilePhone": "string"
}

Parameters

Name In Type Required Description
body body CreateAccountRequest true none

Example responses

200 Response

{
"accountExternalId": "string",
"accountType": "INDIVIDUAL",
"accountCountryIso3": "ABW",
"accountState": "PENDING",
"bankAccountDetails": {
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
},
"createdAt": "2022-03-10T16:15:50Z",
"errorResponse": {
"code": 0,
"message": "string",
"payInPayerResponseErrorEnum": "INTERNAL_SERVER_ERROR"
}
}

Responses

Status Meaning Description Schema
200 OK OK AccountResponse
400 Bad Request Bad Request None

Activate Account

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/accounts/string/activation \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/accounts/string/activation"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /accounts/string/activation HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/accounts/string/activation")
.post(null)
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/accounts/string/activation");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("POST", "/accounts/string/activation", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /accounts/{accountExternalId}/activation

Activate Account.

Parameters

Name In Type Required Description
accountExternalId path string true Account External ID

Example responses

200 Response

{
"accountExternalId": "string",
"currentAccountState": "PENDING",
"updatedAt": "2022-03-10T16:15:50Z"
}

Responses

Status Meaning Description Schema
200 OK OK AccountActivationResponse

Deactivate Account

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/accounts/string/blocking \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/accounts/string/blocking"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /accounts/string/blocking HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/accounts/string/blocking")
.post(null)
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/accounts/string/blocking");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("POST", "/accounts/string/blocking", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /accounts/{accountExternalId}/blocking

Deactivate Account.

Parameters

Name In Type Required Description
accountExternalId path string true Account External ID

Example responses

200 Response

{
"accountExternalId": "string",
"currentAccountState": "PENDING",
"updatedAt": "2022-03-10T16:15:50Z"
}

Responses

Status Meaning Description Schema
200 OK OK AccountActivationResponse

Search Request2Pay

Code samples

curl --request GET \
--url https://api-payouts.dev.getneema.com/payin/request2pay \
--header 'Accept: application/json'
package main

import (
"fmt"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/payin/request2pay"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
GET /payin/request2pay HTTP/1.1
Accept: application/json
Host: api-payouts.dev.getneema.com
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/payin/request2pay")
.get()
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = null;

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("GET", "https://api-payouts.dev.getneema.com/payin/request2pay");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

headers = { 'Accept': "application/json" }

conn.request("GET", "/payin/request2pay", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

GET /payin/request2pay

Provide a full view for the client’s Requests-to-Pay

Parameters

Name In Type Required Description
accountExternalId query string false External account ID filter
from query Instant false Start date and time (ISO-8601 Format) to filter transactions by creation date.
page query integer(int32) false Page number (default: 1, min: 1)
r2pExternalId query string false Request2Pay External ID filter
size query integer(int32) false Max results per page (default: 100, min: 1, max: 100)
state query array[string] false Request2Pay state(s) to filter by. Supports multiple values using repeated query parameters, e.g. ?state=WAITING_FOR_PAYMENT_APPROVAL&state=SUCCEED.
to query Instant false End date and time (ISO-8601 Format) to filter transactions by creation date.

Enumerated Values

Parameter Value
state CREATED
state WAITING_FOR_PAYMENT_APPROVAL
state SUCCEED
state FAILED

Example responses

200 Response

{
"request2payList": [
{
"r2pExternalId": "CLIENT-ID-123",
"state": "CREATED",
"amount": 0,
"currency": "ZWG",
"createdAt": "2022-03-10T16:15:50Z",
"accountExternalId": "string",
"reason": "string",
"expiresAt": "2022-03-10T16:15:50Z",
"updatedAt": "2022-03-10T16:15:50Z",
"debitParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp.",
"debitPartyOperatingBank": {
"israeliDebitPartyOperatingBank": "ISRACARD"
},
"debitPartyIdentification": {
"type": "PHONE",
"phoneNumber": "+972501234567",
"email": "user@example.com",
"nationalId": "123456789",
"corporateTaxId": "99-1234567",
"iban": "IL620108000000099999999",
"bankAccount": {
"bankNumber": "12",
"branchNumber": "800",
"accountNumber": "123456"
}
}
},
"creditParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp."
},
"callbackUrl": "string",
"redirectUrl": "string",
"failure": {
"code": 1000,
"codeDescription": "REJECTED_BY_DEBTOR",
"message": "user rejected the request"
}
}
],
"metaData": {
"pagination": {
"page": 1,
"perPage": 100,
"totalPages": 2,
"totalItems": 200
}
},
"failure": {
"code": 1000,
"codeDescription": "REJECTED_BY_DEBTOR",
"message": "user rejected the request"
}
}

Responses

Status Meaning Description Schema
200 OK Requests2Pay List Request2PayListResponse

Create Request2Pay

Code samples

curl --request POST \
--url https://api-payouts.dev.getneema.com/payin/request2pay \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"r2pExternalId":"r2p-123456","accountExternalId":"string","reason":"Invoice #12345","amount":0,"currency":"ZWG","expiresAt":"2022-03-10T16:15:50Z","debitParty":{"type":"INDIVIDUAL","firstName":"John","lastName":"Doe","businessName":"Acme Corp.","debitPartyOperatingBank":{"israeliDebitPartyOperatingBank":"ISRACARD"},"debitPartyIdentification":{"type":"PHONE","phoneNumber":"+972501234567","email":"user@example.com","nationalId":"123456789","corporateTaxId":"99-1234567","iban":"IL620108000000099999999","bankAccount":{"bankNumber":"12","branchNumber":"800","accountNumber":"123456"}}},"creditParty":{"type":"INDIVIDUAL","firstName":"John","lastName":"Doe","businessName":"Acme Corp."},"callbackUrl":"string","redirectUrl":"string"}'
package main

import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)

func main() {

url := "https://api-payouts.dev.getneema.com/payin/request2pay"

payload := strings.NewReader("{\"r2pExternalId\":\"r2p-123456\",\"accountExternalId\":\"string\",\"reason\":\"Invoice #12345\",\"amount\":0,\"currency\":\"ZWG\",\"expiresAt\":\"2022-03-10T16:15:50Z\",\"debitParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\",\"debitPartyOperatingBank\":{\"israeliDebitPartyOperatingBank\":\"ISRACARD\"},\"debitPartyIdentification\":{\"type\":\"PHONE\",\"phoneNumber\":\"+972501234567\",\"email\":\"user@example.com\",\"nationalId\":\"123456789\",\"corporateTaxId\":\"99-1234567\",\"iban\":\"IL620108000000099999999\",\"bankAccount\":{\"bankNumber\":\"12\",\"branchNumber\":\"800\",\"accountNumber\":\"123456\"}}},\"creditParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\"},\"callbackUrl\":\"string\",\"redirectUrl\":\"string\"}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
fmt.Println(string(body))

}
POST /payin/request2pay HTTP/1.1
Content-Type: application/json
Accept: application/json
Host: api-payouts.dev.getneema.com
Content-Length: 734

{"r2pExternalId":"r2p-123456","accountExternalId":"string","reason":"Invoice #12345","amount":0,"currency":"ZWG","expiresAt":"2022-03-10T16:15:50Z","debitParty":{"type":"INDIVIDUAL","firstName":"John","lastName":"Doe","businessName":"Acme Corp.","debitPartyOperatingBank":{"israeliDebitPartyOperatingBank":"ISRACARD"},"debitPartyIdentification":{"type":"PHONE","phoneNumber":"+972501234567","email":"user@example.com","nationalId":"123456789","corporateTaxId":"99-1234567","iban":"IL620108000000099999999","bankAccount":{"bankNumber":"12","branchNumber":"800","accountNumber":"123456"}}},"creditParty":{"type":"INDIVIDUAL","firstName":"John","lastName":"Doe","businessName":"Acme Corp."},"callbackUrl":"string","redirectUrl":"string"}
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"r2pExternalId\":\"r2p-123456\",\"accountExternalId\":\"string\",\"reason\":\"Invoice #12345\",\"amount\":0,\"currency\":\"ZWG\",\"expiresAt\":\"2022-03-10T16:15:50Z\",\"debitParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\",\"debitPartyOperatingBank\":{\"israeliDebitPartyOperatingBank\":\"ISRACARD\"},\"debitPartyIdentification\":{\"type\":\"PHONE\",\"phoneNumber\":\"+972501234567\",\"email\":\"user@example.com\",\"nationalId\":\"123456789\",\"corporateTaxId\":\"99-1234567\",\"iban\":\"IL620108000000099999999\",\"bankAccount\":{\"bankNumber\":\"12\",\"branchNumber\":\"800\",\"accountNumber\":\"123456\"}}},\"creditParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\"},\"callbackUrl\":\"string\",\"redirectUrl\":\"string\"}");
Request request = new Request.Builder()
.url("https://api-payouts.dev.getneema.com/payin/request2pay")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.build();

Response response = client.newCall(request).execute();
const data = JSON.stringify({
"r2pExternalId": "r2p-123456",
"accountExternalId": "string",
"reason": "Invoice #12345",
"amount": 0,
"currency": "ZWG",
"expiresAt": "2022-03-10T16:15:50Z",
"debitParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp.",
"debitPartyOperatingBank": {
"israeliDebitPartyOperatingBank": "ISRACARD"
},
"debitPartyIdentification": {
"type": "PHONE",
"phoneNumber": "+972501234567",
"email": "user@example.com",
"nationalId": "123456789",
"corporateTaxId": "99-1234567",
"iban": "IL620108000000099999999",
"bankAccount": {
"bankNumber": "12",
"branchNumber": "800",
"accountNumber": "123456"
}
}
},
"creditParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp."
},
"callbackUrl": "string",
"redirectUrl": "string"
});

const xhr = new XMLHttpRequest();
xhr.withCredentials = true;

xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});

xhr.open("POST", "https://api-payouts.dev.getneema.com/payin/request2pay");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Accept", "application/json");

xhr.send(data);
import http.client

conn = http.client.HTTPSConnection("api-payouts.dev.getneema.com")

payload = "{\"r2pExternalId\":\"r2p-123456\",\"accountExternalId\":\"string\",\"reason\":\"Invoice #12345\",\"amount\":0,\"currency\":\"ZWG\",\"expiresAt\":\"2022-03-10T16:15:50Z\",\"debitParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\",\"debitPartyOperatingBank\":{\"israeliDebitPartyOperatingBank\":\"ISRACARD\"},\"debitPartyIdentification\":{\"type\":\"PHONE\",\"phoneNumber\":\"+972501234567\",\"email\":\"user@example.com\",\"nationalId\":\"123456789\",\"corporateTaxId\":\"99-1234567\",\"iban\":\"IL620108000000099999999\",\"bankAccount\":{\"bankNumber\":\"12\",\"branchNumber\":\"800\",\"accountNumber\":\"123456\"}}},\"creditParty\":{\"type\":\"INDIVIDUAL\",\"firstName\":\"John\",\"lastName\":\"Doe\",\"businessName\":\"Acme Corp.\"},\"callbackUrl\":\"string\",\"redirectUrl\":\"string\"}"

headers = {
'Content-Type': "application/json",
'Accept': "application/json"
}

conn.request("POST", "/payin/request2pay", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))

POST /payin/request2pay

Create new request to pay for debit party end user (individual or business).

Body parameter

{
"r2pExternalId": "r2p-123456",
"accountExternalId": "string",
"reason": "Invoice #12345",
"amount": 0,
"currency": "ZWG",
"expiresAt": "2022-03-10T16:15:50Z",
"debitParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp.",
"debitPartyOperatingBank": {
"israeliDebitPartyOperatingBank": "ISRACARD"
},
"debitPartyIdentification": {
"type": "PHONE",
"phoneNumber": "+972501234567",
"email": "user@example.com",
"nationalId": "123456789",
"corporateTaxId": "99-1234567",
"iban": "IL620108000000099999999",
"bankAccount": {
"bankNumber": "12",
"branchNumber": "800",
"accountNumber": "123456"
}
}
},
"creditParty": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Acme Corp."
},
"callbackUrl": "string",
"redirectUrl": "string"
}

Parameters

Name In Type Required Description
body body Request2PayRequest true none

Example responses

201 Response

{
"id": "string",
"r2pExternalId": "string",
"accountExternalId": "string",
"amount": 0,
"currency": "ZWG",
"state": "CREATED",
"createdAt": "2022-03-10T16:15:50Z",
"expiresAt": "2022-03-10T16:15:50Z"
}

Responses

Status Meaning Description Schema
201 Created Request2Pay created successfully Request2PayCreatedResponse
400 Bad Request Bad Request – validation failed Request2PayFailureResponse
403 Forbidden Forbidden Request2PayFailureResponse
409 Conflict Conflict Request2PayFailureResponse
500 Internal Server Error Server error – unexpected failure Request2PayFailureResponse

Schemas

AccountActivationResponse

{
"accountExternalId": "string",
"currentAccountState": "PENDING",
"updatedAt": "2022-03-10T16:15:50Z"
}

Properties

Name Type Required Restrictions Description
accountExternalId string true none External account ID
currentAccountState AccountStateEnum true none State of the account ACTIVE/BLOCKED/PENDING
updatedAt Instant true none State Updated At

AccountResponse

{
"accountExternalId": "string",
"accountType": "INDIVIDUAL",
"accountCountryIso3": "ABW",
"accountState": "PENDING",
"bankAccountDetails": {
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
},
"createdAt": "2022-03-10T16:15:50Z",
"errorResponse": {
"code": 0,
"message": "string",
"payInPayerResponseErrorEnum": "INTERNAL_SERVER_ERROR"
}
}

Properties

Name Type Required Restrictions Description
accountExternalId string true none External account ID
accountType AccountType true none Type of the account can be INDIVIDUAL or BUSINESS
accountCountryIso3 GlobalCountry true none The country of the account
accountState AccountStateEnum true none State of the account ACTIVE/BLOCKED/PENDING
bankAccountDetails BankAccountDetails false none End Account bank details
createdAt Instant false none Date of creation
errorResponse PayInPayerResponseError false none Response error

AccountStateEnum

"PENDING"

Properties

Name Type Required Restrictions Description
anonymous string false none none

Enumerated Values

Property Value
PENDING PENDING
ACTIVE ACTIVE
BLOCKED BLOCKED

AccountType

"INDIVIDUAL"

Properties

Name Type Required Restrictions Description
anonymous string false none none

Enumerated Values

Property Value
INDIVIDUAL INDIVIDUAL
BUSINESS BUSINESS

AccountsResponse

{
"accounts": [
{
"accountExternalId": "string",
"accountType": "INDIVIDUAL",
"accountCountryIso3": "ABW",
"accountState": "PENDING",
"bankAccountDetails": {
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
},
"createdAt": "2022-03-10T16:15:50Z",
"errorResponse": {
"code": 0,
"message": "string",
"payInPayerResponseErrorEnum": "INTERNAL_SERVER_ERROR"
}
}
]
}

Get payIn accounts response

Properties

Name Type Required Restrictions Description
accounts [AccountResponse] true none Array of requested accounts

AvailableCountriesResponse

{
"countries": [
{
"id": 0,
"name": "string",
"nameIso2": "string",
"nameIso3": "string"
}
]
}

AvailableCountriesResponse

Properties

Name Type Required Restrictions Description
countries [Country] true none List of available countries

B2bPayoutReason

"COMPUTER_SERVICES"

Properties

Name Type Required Restrictions Description
anonymous string false none none

Enumerated Values

Property Value
COMPUTER_SERVICES COMPUTER_SERVICES
MAINTENANCE_EXPENSES MAINTENANCE_EXPENSES
CONSTRUCTION_EXPENSES CONSTRUCTION_EXPENSES
ADVISORY_FEES ADVISORY_FEES
BUSINESS_INSURANCE BUSINESS_INSURANCE
INSURANCE_CLAIMS INSURANCE_CLAIMS
EXPORTED_GOODS EXPORTED_GOODS
SERVICE_CHARGES SERVICE_CHARGES
PROPERTY_PURCHASE PROPERTY_PURCHASE
TRAVEL TRAVEL
DELIVERY_FEES DELIVERY_FEES
HOTEL_ACCOMMODATION HOTEL_ACCOMMODATION
ADVERTISING_EXPENSES ADVERTISING_EXPENSES
LOAN_PAYMENT LOAN_PAYMENT
OFFICE_EXPENSES OFFICE_EXPENSES
PROPERTY_RENTAL PROPERTY_RENTAL
ROYALTY_FEES ROYALTY_FEES
TAX_PAYMENT TAX_PAYMENT
TRANSPORTATION_FEES TRANSPORTATION_FEES
UTILITY_BILLS UTILITY_BILLS
SALARY_PAYMENT SALARY_PAYMENT
BROKER_FEE BROKER_FEE
COMMITMENT_FEE COMMITMENT_FEE
GUARANTEE_FEE GUARANTEE_FEE

Balance

{
"currency": "ILS",
"balance": 1000000
}

Properties

Name Type Required Restrictions Description
currency string,object true none ISO-3 Format
balance number(double) true none Amount

Enumerated Values

Property Value
currency USD
currency ILS
currency EUR
currency GBP
currency LKR

Balances

{
"balances": [
{
"currency": "ILS",
"balance": 1000000
}
]
}

Properties

Name Type Required Restrictions Description
balances [Balance] true none List of available balances

BankAccount

{
"bankNumber": "12",
"branchNumber": "800",
"accountNumber": "123456"
}

Bank account identification details.

Properties

Name Type Required Restrictions Description
bankNumber string true none Bank number.
branchNumber string true none Branch number.
accountNumber string true none Account number.

BankAccountDetails

{
"bankNumber": "12",
"branchNumber": "345",
"accountNumber": "987654321",
"iban": "IL620108000000099999999"
}

Properties

Name Type Required Restrictions Description
bankNumber string false none Bank number.
branchNumber string false none Branch number.
accountNumber string false none Account number.
iban string false none IBAN number.

BaseErrorCode

"GENERAL_ERROR"

Properties

Name Type Required Restrictions Description
anonymous string false none none

Enumerated Values

Property Value
GENERAL_ERROR GENERAL_ERROR
SOMETHING_WENT_WRONG SOMETHING_WENT_WRONG
INVALID_PHONE_NUMBER INVALID_PHONE_NUMBER
USER_NOT_FOUND USER_NOT_FOUND
FAILED_SMS_CONFIRMATION_CODE FAILED_SMS_CONFIRMATION_CODE
WRONG_VERIFICATION_CODE WRONG_VERIFICATION_CODE
FAILED_TO_CREATE_PASSWORD_RESET_REQUEST FAILED_TO_CREATE_PASSWORD_RESET_REQUEST
FAILED_TO_UPDATE_PASSWORD FAILED_TO_UPDATE_PASSWORD
INVALID_REFRESH_TOKEN INVALID_REFRESH_TOKEN
INVALID_GENDER INVALID_GENDER
NOT_ENOUGH_MONEY NOT_ENOUGH_MONEY
PHONE_NUMBER_EXISTS PHONE_NUMBER_EXISTS
CARD_DEPOSIT_NOT_OWNER CARD_DEPOSIT_NOT_OWNER
FAILED_TO_GET_SERVICE_POINTS FAILED_TO_GET_SERVICE_POINTS
PHONE_NUMBER_ALREADY_EXISTS PHONE_NUMBER_ALREADY_EXISTS
BRANCH_EMPLOYEE_NOT_IN_SHIFT BRANCH_EMPLOYEE_NOT_IN_SHIFT
NO_OPEN_BRANCH_SESSION NO_OPEN_BRANCH_SESSION
BRANCH_EMPLOYEE_IS_NOT_ACTIVE BRANCH_EMPLOYEE_IS_NOT_ACTIVE
USER_ALREADY_IN_RED_LIST USER_ALREADY_IN_RED_LIST
CARD_NOT_FOUND CARD_NOT_FOUND
CARD_BLOCKED CARD_BLOCKED
OPERATION_NOT_SUPPORTED OPERATION_NOT_SUPPORTED
RESTRICTION_VIOLATION RESTRICTION_VIOLATION
TOKEN_EXPIRED TOKEN_EXPIRED

BusinessAccountRequest

{
"accountType": "BUSINESS",
"accountCountry": "ABW",
"accountExternalId": "string",
"registeredName": "string",
"registrationNumber": "string",
"registrationCountry": "string",
"registrationDate": "2022-03-10",
"address": "string",
"contact": {
"firstName": "string",
"lastName": "string",
"idNumber": "string",
"gender": "MALE",
"email": "string",
"mobilePhone": "string"
},
"ceo": {
"firstName": "string",
"lastName": "string",
"idNumber": "string",
"gender": "MALE",
"email": "string",
"mobilePhone": "string"
}
}

Request to create BUSINESS payIn account

Properties

Name Type Required Restrictions Description
accountType string true none Must be BUSINESS
accountCountry GlobalCountry true none Country code (ISO3)
accountExternalId string true none External account ID
registeredName string true none Registered business name
registrationNumber string true none Business registration number
registrationCountry string true none Country code (ISO3)
registrationDate LocalDate false none Date of registration
address string false none Address
contact Person true none Contact person object
ceo Person true none CEO person object

Enumerated Values

Property Value
accountType BUSINESS

CardPaySystemEnum

"VISA"

Properties

Name Type Required Restrictions Description
anonymous string false none none

Enumerated Values

Property Value
VISA VISA
MASTERCARD MASTERCARD
ELCART ELCART
KORTIMILLI KORTIMILLI
HUMO HUMO
UZCARD UZCARD
UNIONPAY UNIONPAY

ComparatorSuperObject

{}

Properties

None

Country

{
"id": 0,
"name": "string",
"nameIso2": "string",
"nameIso3": "string"
}

Properties

Name Type Required Restrictions Description
id integer(int32) true none Country ID
name string true none Country name
nameIso2 string true none Country ISO-2 code
nameIso3 string true none Country ISO-3 code

[...]
